PETSc version 3.17.4
Fix/Edit manual page

# PetscSFSetRankOrder

sort multi-points for gathers and scatters by rank order

### Synopsis

    #include "petscsf.h"
    PetscErrorCode PetscSFSetRankOrder(PetscSF sf,PetscBool flg)

Logically Collective

### Input Parameters

| sf | - star forest
| flg | - PETSC_TRUE to sort, PETSC_FALSE to skip sorting (lower setup cost, but non-deterministic)

### See Also

PetscSFGatherBegin(), PetscSFScatterBegin()

### Level

advanced

### Location

src/vec/is/sf/interface/sf.c
Index of all PetscSF routines
Table of Contents for all manual pages
Index of all manual pages